import * as core from "@terrascript/core";

export interface CostAllocationTagArgs extends core.ResourceArgs {
  status: string | core.StringOut;

  tagKey: string | core.StringOut;
}

export class CostAllocationTag extends core.Resource<CostAllocationTagArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public status!: string | core.StringOut;

  @core.attr(String)
  public tagKey!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public type!: string | core.StringOut;

  constructor(name: string, args?: CostAllocationTagArgs) {
    super(name, "aws_ce_cost_allocation_tag", args);
  }

  public override getNamespace(): string {
    return "aws_ce";
  }
}
